> ## Documentation Index
> Fetch the complete documentation index at: https://wrtntechnologies.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List indexes

> List all indexes in an existing project.



## OpenAPI

````yaml get /projects/{projectId}/indexes
openapi: 3.1.1
info:
  title: Wrtn AIMP API
  summary: Wrtn AIMP Open API Spec
  version: 1.0.0
servers:
  - url: https://{baseUrl}/{version}
    description: AIMP API endpoints
    variables:
      baseUrl:
        enum:
          - qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
        default: qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
      version:
        enum:
          - v1beta1
        default: v1beta1
security: []
paths:
  /projects/{projectId}/indexes:
    get:
      description: List all indexes in an existing project.
      parameters:
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/ProjectApiKey'
        - $ref: '#/components/parameters/ProjectId'
      responses:
        '200':
          description: A list of indexes matched with a projectId.
          content:
            application/json:
              schema:
                type: object
                properties:
                  indexes:
                    type: array
                    items:
                      $ref: '#/components/schemas/IndexResponse'
components:
  parameters:
    ContentType:
      in: header
      name: content-type
      required: true
      schema:
        type: string
        default: application/json
    ProjectApiKey:
      in: header
      name: x-api-key
      description: Project API Key.
      required: true
      schema:
        type: string
        description: Project API Key.
    ProjectId:
      in: path
      name: projectId
      description: Project ID.
      required: true
      schema:
        type: string
  schemas:
    IndexResponse:
      type: object
      properties:
        projectId:
          type: string
          description: Project ID.
        indexName:
          type: string
          description: Index name.
        mappings:
          $ref: '#/components/schemas/IndexMappings'
        numDocs:
          type: integer
          description: Total number of documents.
        cloneSourceInfo:
          type: object
          description: Clone source information.
          properties:
            sourceProjectId:
              type: string
              description: Source project ID.
            sourceIndexName:
              type: string
              description: Source index name.
            sourceIndexVersionId:
              type: string
              description: Source index version.
        indexStatus:
          $ref: '#/components/schemas/Status'
        indexClass:
          $ref: '#/components/schemas/IndexClass'
    IndexMappings:
      type: object
      additionalProperties:
        type: object
        oneOf:
          - properties:
              type:
                type: string
                enum:
                  - text
              analyzers:
                type: array
                description: Analyzers.
                items:
                  type: string
                  enum:
                    - standard
                    - korean
                    - japanese
                    - english
                default: standard
            additionalProperties: false
            required:
              - type
          - properties:
              type:
                type: string
                enum:
                  - vector
              dimensions:
                type: integer
                description: Vector dimensions.
              similarity:
                type: string
                description: Vector similarity metric.
                enum:
                  - cosine
                  - l2_norm
                  - dot_product
                  - max_inner_product
                default: cosine
            additionalProperties: false
            required:
              - type
              - dimensions
          - properties:
              type:
                type: string
                enum:
                  - keyword
                  - long
                  - double
                  - datetime
                  - boolean
            description: Types that do not need additional parameters.
            additionalProperties: false
            required:
              - type
    Status:
      type: string
      description: Status
      enum:
        - CREATING
        - ACTIVE
        - DELETING
    IndexClass:
      type: string
      description: Index class.
      enum:
        - STANDARD
        - INFREQUENT_ACCESS
      default: STANDARD

````